Bug 192855 - graphics/yed: update to 3.13
Summary: graphics/yed: update to 3.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Veniamin Gvozdikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-20 14:26 UTC by Oleg Ginzburg
Modified: 2014-09-03 16:53 UTC (History)
3 users (show)

See Also:


Attachments
update to 3.13 (2.62 KB, patch)
2014-08-20 14:26 UTC, Oleg Ginzburg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Ginzburg 2014-08-20 14:26:03 UTC
Created attachment 146077 [details]
update to 3.13

Update to 3.13

New Features:

    New support for multi-parents in the Directed tree layout algorithm.
    This enhancement to the Directed tree layout automatically recognizes and then arranges side-by-side multiple parents of a node, a structural configuration that normally is not allowed in a tree structure.
    New support in the Properties Mapper dialog to import and export configurations. [Q&A 4848], [Q&A 3747], [Q&A 3575]


Bugfixes:

    Addressed the java.lang.ArrayIndexOutOfBoundsException: at apple.awt.CWindow.displayChanged issue on multi-monitor Mac systems running Apple Java SE 6.
    Many other bug fixes as well.
Comment 1 John Marino freebsd_committer 2014-08-20 16:35:38 UTC
maintainer in CC needs to approve this.
Comment 2 Eugene Mychlo 2014-08-25 10:54:35 UTC
I approve this patch.
Comment 3 Veniamin Gvozdikov freebsd_committer 2014-09-03 08:43:25 UTC
I'll take it.
Comment 4 commit-hook freebsd_committer 2014-09-03 16:52:38 UTC
A commit references this bug:

Author: vg
Date: Wed Sep  3 16:51:57 UTC 2014
New revision: 367218
URL: http://svnweb.freebsd.org/changeset/ports/367218

Log:
  - Update to 3.13

  PR:		ports/192855
  Submitted by:	Oleg Ginzburg <olevole@olevole.ru>
  Approved by:	Eugene Mychlo <myc@barev.net> (maintainer)

Changes:
  head/graphics/yed/Makefile
  head/graphics/yed/distinfo
  head/graphics/yed/pkg-plist
Comment 5 Veniamin Gvozdikov freebsd_committer 2014-09-03 16:53:17 UTC
Thank you, commited!